# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
class ConfigurationSynchronizationJobRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Dts', '2016-08-01', 'ConfigurationSynchronizationJob')

	def get_SynchronizationJobId(self):
		return self.get_query_params().get('SynchronizationJobId')

	def set_SynchronizationJobId(self,SynchronizationJobId):
		self.add_query_param('SynchronizationJobId',SynchronizationJobId)

	def get_DestinationEndpointInstanceID(self):
		return self.get_query_params().get('DestinationEndpoint.InstanceID')

	def set_DestinationEndpointInstanceID(self,DestinationEndpointInstanceID):
		self.add_query_param('DestinationEndpoint.InstanceID',DestinationEndpointInstanceID)

	def get_DestinationEndpointInstanceType(self):
		return self.get_query_params().get('DestinationEndpoint.InstanceType')

	def set_DestinationEndpointInstanceType(self,DestinationEndpointInstanceType):
		self.add_query_param('DestinationEndpoint.InstanceType',DestinationEndpointInstanceType)

	def get_InitializationStructureLoad(self):
		return self.get_query_params().get('Initialization.StructureLoad')

	def set_InitializationStructureLoad(self,InitializationStructureLoad):
		self.add_query_param('Initialization.StructureLoad',InitializationStructureLoad)

	def get_SynchronizationJobName(self):
		return self.get_query_params().get('SynchronizationJobName')

	def set_SynchronizationJobName(self,SynchronizationJobName):
		self.add_query_param('SynchronizationJobName',SynchronizationJobName)

	def get_SourceEndpointInstanceID(self):
		return self.get_query_params().get('SourceEndpoint.InstanceID')

	def set_SourceEndpointInstanceID(self,SourceEndpointInstanceID):
		self.add_query_param('SourceEndpoint.InstanceID',SourceEndpointInstanceID)

	def get_SourceEndpointInstanceType(self):
		return self.get_query_params().get('SourceEndpoint.InstanceType')

	def set_SourceEndpointInstanceType(self,SourceEndpointInstanceType):
		self.add_query_param('SourceEndpoint.InstanceType',SourceEndpointInstanceType)

	def get_SynchronizationObject(self):
		return self.get_query_params().get('SynchronizationObject')

	def set_SynchronizationObject(self,SynchronizationObject):
		self.add_query_param('SynchronizationObject',SynchronizationObject)

	def get_InitializationDataLoad(self):
		return self.get_query_params().get('Initialization.DataLoad')

	def set_InitializationDataLoad(self,InitializationDataLoad):
		self.add_query_param('Initialization.DataLoad',InitializationDataLoad)